import { httpApp } from "@/plugins/axiosIndex";
import { pickBy } from "lodash-es";
import { object2QueryString } from "@/utils/utils";

export function searchUsers({
  role,
  loginName = "",
  name = "",
  enable = "",
  pageNumber = 1,
  pageSize = 10,
}) {
  const data = pickBy(
    { role, loginName, name, enable, pageNumber, pageSize },
    (v) => v !== ""
  );
  return httpApp.post("/api/admin/user/query?" + object2QueryString(data));
}

export function saveUser({
  roles,
  loginName = "",
  name = "",
  enable = "",
  password = "",
  mobileNumber = "",
}) {
  const data = pickBy(
    { roles, loginName, name, enable, password, mobileNumber },
    (v) => v !== ""
  );
  return httpApp.post("/api/admin/user/save", data);
}

export function toggleEnableUser({ id, enable }) {
  return httpApp.post("/api/admin/user/enable", { id, enable });
}

export function resetUserPassword({ id, password }) {
  return httpApp.post("/api/admin/user/updatePwd", { id, password });
}
